ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vitaly Brodetskyi (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (AMBARI-6850) Upgrade from 1.6.0 -> 1.7.0 fails
Date Thu, 14 Aug 2014 13:50:11 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-6850?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Vitaly Brodetskyi resolved AMBARI-6850.
---------------------------------------

    Resolution: Fixed

Committed to trunk

> Upgrade from 1.6.0 -> 1.7.0 fails
> ---------------------------------
>
>                 Key: AMBARI-6850
>                 URL: https://issues.apache.org/jira/browse/AMBARI-6850
>             Project: Ambari
>          Issue Type: Task
>          Components: agent
>    Affects Versions: 1.7.0
>            Reporter: Vitaly Brodetskyi
>            Assignee: Vitaly Brodetskyi
>            Priority: Critical
>             Fix For: 1.7.0
>
>         Attachments: AMBARI-6850.patch
>
>
> {code}
> 14:19:41,343 ERROR [main] SchemaUpgradeHelper:196 - Upgrade failed. 
> org.apache.ambari.server.AmbariException: Configuration with tag 'version1' exists for
'zookeeper-env'
> 	at org.apache.ambari.server.controller.AmbariManagementControllerImpl.createConfiguration(AmbariManagementControllerImpl.java:635)
> 	at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.updateConfigurationProperties(AbstractUpgradeCatalog.java:229)
> 	at org.apache.ambari.server.upgrade.UpgradeCatalog170.addEnvContentFields(UpgradeCatalog170.java:701)
> 	at org.apache.ambari.server.upgrade.UpgradeCatalog170.executeDMLUpdates(UpgradeCatalog170.java:499)
> 	at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.upgradeData(AbstractUpgradeCatalog.java:277)
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeDMLUpdates(SchemaUpgradeHelper.java:194)
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.main(SchemaUpgradeHelper.java:243)
> 14:19:41,350 ERROR [main] SchemaUpgradeHelper:252 - Exception occured during upgrade,
failed
> org.apache.ambari.server.AmbariException: Configuration with tag 'version1' exists for
'zookeeper-env'
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeDMLUpdates(SchemaUpgradeHelper.java:197)
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.main(SchemaUpgradeHelper.java:243)
> Caused by: org.apache.ambari.server.AmbariException: Configuration with tag 'version1'
exists for 'zookeeper-env'
> 	at org.apache.ambari.server.controller.AmbariManagementControllerImpl.createConfiguration(AmbariManagementControllerImpl.java:635)
> 	at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.updateConfigurationProperties(AbstractUpgradeCatalog.java:229)
> 	at org.apache.ambari.server.upgrade.UpgradeCatalog170.addEnvContentFields(UpgradeCatalog170.java:701)
> 	at org.apache.ambari.server.upgrade.UpgradeCatalog170.executeDMLUpdates(UpgradeCatalog170.java:499)
> 	at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.upgradeData(AbstractUpgradeCatalog.java:277)
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeDMLUpdates(SchemaUpgradeHelper.java:194)
> 	... 1 more
> {code}
> Reproducable only for upgrade from 1.6.0->1.7.0, for 1.6.1->1.7.0 works fine.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message